summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorJulian Andres Klode <jak@debian.org>2022-07-24 15:00:47 +0000
committerJulian Andres Klode <jak@debian.org>2022-07-24 15:00:47 +0000
commitb31829210ef344517e2ea5702a008ccf4663212d (patch)
treea25b5b63d2295a50c19ada111102c98d7dff2bfa /test
parentb141ce0d355e667885536790ea5caa2d4d86d333 (diff)
parentc28fc7366c6645cb6d1010a44ce494b5ae1b9a9f (diff)
Merge branch 'pu/upgrade-other-binaries' into 'main'
Upgrade all binaries in a source package See merge request apt-team/apt!247
Diffstat (limited to 'test')
-rwxr-xr-xtest/integration/test-apt-get-upgrade-by-source53
-rwxr-xr-xtest/integration/test-ubuntu-bug-61499316
2 files changed, 62 insertions, 7 deletions
diff --git a/test/integration/test-apt-get-upgrade-by-source b/test/integration/test-apt-get-upgrade-by-source
new file mode 100755
index 000000000..0f87005d3
--- /dev/null
+++ b/test/integration/test-apt-get-upgrade-by-source
@@ -0,0 +1,53 @@
+#!/bin/sh
+set -e
+
+TESTDIR="$(readlink -f "$(dirname "$0")")"
+. "$TESTDIR/framework"
+
+setupenvironment
+
+insertinstalledpackage 'pkg' 'all' '1' 'Source: pkg'
+insertinstalledpackage 'pkg-foo' 'all' '1' 'Source: pkg'
+insertinstalledpackage 'pkg-bar' 'all' '1' 'Source: pkg'
+insertpackage 'unstable' 'pkg' 'all' '2' 'Source: pkg'
+insertpackage 'unstable' 'pkg-foo' 'all' '2' 'Source: pkg'
+insertpackage 'unstable' 'pkg-bar' 'all' '2' 'Source: pkg'
+
+configarchitecture 'arm64'
+setupaptarchive
+
+noprogress() {
+ "$@" | sed /^Progress/d
+}
+
+testsuccessequal "Reading package lists...
+Building dependency tree...
+ MarkInstall pkg:arm64 < 1 -> 2 @ii puU > FU=1
+ Upgrading pkg-bar:arm64 < 1 | 2 @ii uH > due to pkg:arm64
+ Upgrading pkg-foo:arm64 < 1 | 2 @ii uH > due to pkg:arm64
+Starting pkgProblemResolver with broken count: 0
+Starting 2 pkgProblemResolver with broken count: 0
+Done
+The following additional packages will be installed:
+ pkg-bar pkg-foo
+The following packages will be upgraded:
+ pkg pkg-bar pkg-foo
+3 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
+Inst pkg [1] (2 unstable [all])
+Inst pkg-bar [1] (2 unstable [all])
+Inst pkg-foo [1] (2 unstable [all])
+Conf pkg (2 unstable [all])
+Conf pkg-bar (2 unstable [all])
+Conf pkg-foo (2 unstable [all])" aptget install pkg -o debug::pkgdepcache::marker=1 -o Debug::pkgProblemResolver=1 -o Debug::pkgDepCache::AutoInstall=1 -s
+
+testsuccessequal "Reading package lists...
+Building dependency tree...
+ MarkInstall pkg:arm64 < 1 -> 2 @ii puU > FU=1
+Starting pkgProblemResolver with broken count: 0
+Starting 2 pkgProblemResolver with broken count: 0
+Done
+The following packages will be upgraded:
+ pkg
+1 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.
+Inst pkg [1] (2 unstable [all])
+Conf pkg (2 unstable [all])" aptget install pkg -o debug::pkgdepcache::marker=1 -o Debug::pkgProblemResolver=1 -o Debug::pkgDepCache::AutoInstall=1 -o APT::Get::Upgrade-By-Source-Package=0 -s
diff --git a/test/integration/test-ubuntu-bug-614993 b/test/integration/test-ubuntu-bug-614993
index e7357bc67..542e55105 100755
--- a/test/integration/test-ubuntu-bug-614993
+++ b/test/integration/test-ubuntu-bug-614993
@@ -11,8 +11,9 @@ setupaptarchive
UPGRADE="Reading package lists...
Building dependency tree...
The following additional packages will be installed:
- libdrm-intel1 libdrm-nouveau1 libmtdev1 libutouch-grail1 libx11-xcb1
- libxcb-aux0 libxcb-dri2-0 libxfont1 xserver-common xserver-xorg-core
+ libdrm-intel1 libdrm-nouveau1 libdrm-radeon1 libdrm2 libmtdev1
+ libutouch-grail1 libx11-xcb1 libxcb-aux0 libxcb-dri2-0 libxfont1
+ xserver-common xserver-xorg-core xserver-xorg-input-all
xserver-xorg-input-evdev xserver-xorg-input-mouse
xserver-xorg-input-synaptics xserver-xorg-input-vmmouse
xserver-xorg-input-wacom xserver-xorg-video-all xserver-xorg-video-apm
@@ -36,8 +37,9 @@ The following packages will be REMOVED:
The following NEW packages will be installed:
libmtdev1 libutouch-grail1 libx11-xcb1 libxcb-aux0 libxcb-dri2-0
The following packages will be upgraded:
- libdrm-intel1 libdrm-nouveau1 libxfont1 xserver-common xserver-xorg
- xserver-xorg-core xserver-xorg-input-evdev xserver-xorg-input-mouse
+ libdrm-intel1 libdrm-nouveau1 libdrm-radeon1 libdrm2 libxfont1
+ xserver-common xserver-xorg xserver-xorg-core xserver-xorg-input-all
+ xserver-xorg-input-evdev xserver-xorg-input-mouse
xserver-xorg-input-synaptics xserver-xorg-input-vmmouse
xserver-xorg-input-wacom xserver-xorg-video-all xserver-xorg-video-apm
xserver-xorg-video-ark xserver-xorg-video-ati xserver-xorg-video-chips
@@ -51,9 +53,9 @@ The following packages will be upgraded:
xserver-xorg-video-sisusb xserver-xorg-video-tdfx xserver-xorg-video-trident
xserver-xorg-video-tseng xserver-xorg-video-vesa xserver-xorg-video-vmware
xserver-xorg-video-voodoo
-41 upgraded, 5 newly installed, 1 to remove and 3 not upgraded.
-Need to get 0 B/5505 kB of archives.
-After this operation, 2294 kB disk space will be freed.
+44 upgraded, 5 newly installed, 1 to remove and 0 not upgraded.
+Need to get 0 B/5561 kB of archives.
+After this operation, 3027 kB disk space will be freed.
E: Trivial Only specified but this is not a trivial operation."
testfailureequal "$UPGRADE" aptget install xserver-xorg --trivial-only